<?php
require('fpdf.php');

class PDF extends FPDF
{
//global $EnTetePage;
//global $clientAdresse;//table pour l'aresse de client gener dupuis formul!!
//global $BillHeader;//table pour l'entete de bill vien de "Mifyan"
//global $Sujet;
//global $AvantBill;
//global $ApresBill;
//global $AuPiedPage;
//global $BillData; //donne pour bill vien de "Mifyan" formul

//En-tte de page
function Header()
{
global $EnTetePage;
    $this->SetY(5);
    $this->SetFont('Arial','I',8);
    //Numro de page
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'R');
    //Logo
    $this->Image('interface/logo.jpg',20,10,30);
    //Police Arial gras 14
    $this->SetFont('Arial','B',14);
    $this->SetY(10);
    $this->SetLeftMargin(55);
    $this->WriteHTML($EnTetePage);
    $this->Ln(5);
}

//Pied de page
function Footer()
{
global $AuPiedPage;
    //Positionnement  1,5 cm du bas
    $this->SetLeftMargin(10);
    $this->SetY(-20);
    //Police Arial italique 8
    $this->SetFont('Arial','I',5);
    //Numro de page
//    $this->WriteHTML($AuPiedPage);
//    $this->Ln();
    $this->Cell(150,5,$this->WriteHTML($AuPiedPage),0,1,'C');
    $this->Cell(0,5,'Powered by FPDF.',0,0,'C');
    }
//les manip HTML commance ici ****
var $B;
var $I;
var $U;
var $HREF;

function PDF($orientation='P',$unit='mm',$format='A4')
{
    //Appel au constructeur parent
    $this->FPDF($orientation,$unit,$format);
    //Initialisation
    $this->B=0;
    $this->I=0;
    $this->U=0;
    $this->HREF='';
}

function WriteHTML($html)
{
    //Parseur HTML
    $html=str_replace("\n",' ',$html);
    $a=preg_split('/<(.*)>/U',$html,-1,PREG_SPLIT_DELIM_CAPTURE);
    foreach($a as $i=>$e)
    {
        if($i%2==0)
        {
            //Texte
            if($this->HREF)
                $this->PutLink($this->HREF,$e);
            else
                $this->Write(5,$e);
        }
        else
        {
            //Balise
            if($e{0}=='/')
                $this->CloseTag(strtoupper(substr($e,1)));
            else
            {
                //Extraction des attributs
                $a2=explode(' ',$e);
                $tag=strtoupper(array_shift($a2));
                $attr=array();
                foreach($a2 as $v)
                    if(ereg('^([^=]*)=["\']?([^"\']*)["\']?$',$v,$a3))
                        $attr[strtoupper($a3[1])]=$a3[2];
                $this->OpenTag($tag,$attr);
            }
        }
    }
}//fin de fonct WriteHTML

function OpenTag($tag,$attr)
{
    //Balise ouvrante
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,true);
    if($tag=='A')
        $this->HREF=$attr['HREF'];
    if($tag=='BR')
        $this->Ln(5);
}

function CloseTag($tag)
{
    //Balise fermante
    if($tag=='B' or $tag=='I' or $tag=='U')
        $this->SetStyle($tag,false);
    if($tag=='A')
        $this->HREF='';
}

function SetStyle($tag,$enable)
{
    //Modifie le style et slectionne la police correspondante
    $this->$tag+=($enable ? 1 : -1);
    $style='';
    foreach(array('B','I','U') as $s)
        if($this->$s>0)
            $style.=$s;
    $this->SetFont('',$style);
}

function PutLink($URL,$txt)
{
    //Place un hyperlien
    $this->SetTextColor(0,0,255);
    $this->SetStyle('U',true);
    $this->Write(5,$txt,$URL);
    $this->SetStyle('U',false);
    $this->SetTextColor(0);
}
//l*****Les manip HTML FINIS ici ****

//Chargement des donnes  pour le table bill
function LoadData($file)
{
    //Lecture des lignes du fichier
    $lines=file($file);
    $BillData=array();
    foreach($lines as $line)
    $BillData[]=explode(';',chop($line));
    return $BillData;
}//fin de fonct Chargement des donnes  pour le table bill

// cmpos clien's adresse ici
function CliAdrTable($ClientAdresse)
{
for($i=0;$i<count($ClientAdresse);$i++)
   {
   $this->Cell($w[$i],6,$ClientAdresse[$i],0,1,'L');
    }
}// fin de fonc cmpos clien's adresse ici

//cmpos le bill et ces calcul
function BillTable($BillHeader,$BillData)
{
//Largeurs des colonnes
$w=array(60,20,60,10,30);
//En-tte
$this->SetFont('','B');
for($i=0;$i<count($BillHeader);$i++)
    $this->Cell($w[$i],7,$BillHeader[$i],1,0,'C');
    $this->Ln();
//Donnes
$this->SetFont('');
$this->SetFillColor(224,235,255);
$cadr=1;
$fill=0;
    foreach($BillData as $row)
        {
	if ($row[0] == '.'){$this->SetFont('','B');$fill=0;$cadr=0;}
	$this->Cell($w[0],6,$row[0],$cadr,0,'R',$fill);
	$this->Cell($w[1],6,$row[1],$cadr,0,'R',$fill);
        $this->Cell($w[2],6,$row[2],1,0,'R',$fill);
	$this->Cell($w[3],6,$row[3],1,0,'R',$fill);
	$this->Cell($w[4],6,$row[4],1,0,'R',$fill);

	$this->Ln();
	}
    //Trait de terminaison
//    $this->Cell(array_sum($w),0,'','T');
$this->setfont('');
}//fin de fonct cmpos le bill et ces calcul

}//fin de pdf clase
